Skip to content
WP Engine Documentation

Get a site transfer by ID

GET
/sites/{site_id}/site_transfers/{transfer_id}
curl --request GET \
--url https://api.wpengineapi.com/v1/sites/example/site_transfers/example \
--header 'Authorization: Basic <credentials>'

Returns a single site transfer for the given site.

site_id
required
string format: uuid

ID of the site

transfer_id
required
string format: uuid

ID of the site transfer

Success

Media type application/json
object
id
required

Unique identifier for the site transfer

string format: uuid
site
required

Name of the site being transferred (as it was at time of transfer)

string
installs
required

Names of the installs associated with the site at time of transfer

Array<string>
origin_account
required

Name of the account the site is transferring from

string
destination_account
required

Name of the account the site is transferring to

string
status
required

Current status of the transfer

string
Allowed values: pending scheduled in_progress completed failed cancelled
scheduled_time

The time at which the transfer is scheduled to execute. Null for immediate transfers.

string format: date-time
created_at
required

Timestamp when the transfer was created

string format: date-time
updated_at
required

Timestamp when the transfer was last updated

string format: date-time
Example
{
"id": "7c3e1a2b-4f5d-4e6c-b7a8-d9e0f1a2b3c4",
"site": "my-wordpress-site",
"installs": [
"mysite",
"mysitestg"
],
"origin_account": "Acme Corp",
"destination_account": "New Owner Inc",
"status": "pending",
"scheduled_time": "2026-06-01T14:30:00Z",
"created_at": "2026-05-15T10:00:00Z",
"updated_at": "2026-05-15T10:05:00Z"
}

Authentication Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Not authorized

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "You don't have permission to perform that action"
}

Not found

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Not Found"
}

Too many requests

Media type application/json

Internal Server Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
Example
{
"message": "An unexpected error occurred, please try again in a few minutes"
}

Service unavailable

Media type application/json